#include <bits/stdc++.h>

using namespace std;

int m,n;
long long a[100003],res,x,y;

int main(){
cin>>n>>m;
for(int i=1; i<=n; i++){
    cin>>a[i];
}
for(int i=1; i<=m; i++){
    cin>>x>>y;
    if(abs(a[x])>abs(a[y])){
        if(a[x]>0){
            res+=a[x];
            res+=a[y];
        }
        else {
        res+=abs(a[x]);
        res-=a[y];
        }
    }
    else{
        if(a[y]>0){
            res+=a[y];
            res+=a[x];
        }
        else {
        res+=abs(a[y]);
        res-=a[x];
        }
    }
}

cout<<res<<endl;



return 0;
}